/// <reference path="../../../../../src/@types/@kano/common/index.d.ts" />
import { KanoAlert } from '../../../elements/kano-alert/kano-alert.js';
import { Base, IDialogBaseOptions, DialogElement } from './base.js';
export interface IDialogAlertOptions extends IDialogBaseOptions {
    heading: string;
    text: string;
    buttonLabel?: string;
}
export declare type KanoAlertElement = DialogElement<KanoAlert> & {
    modal?: boolean;
    withBackdrop?: boolean;
    fitInto?: HTMLElement;
    heading?: string;
    text?: string;
};
export declare class Alert extends Base<KanoAlertElement> {
    private _onDidClose;
    readonly onDidClose: import("@kano/common/index.js").IEvent<void>;
    constructor(opts?: IDialogAlertOptions);
    createDom(opts: IDialogAlertOptions): KanoAlertElement;
    _onClose(e: Event): void;
    dispose(): void;
}
export default Alert;
